petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPChebyshevEstEigSetUseNoisy

use a noisy right hand side in order to do the estimate instead of the given right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSetUseNoisy(KSP ksp,PetscBool use)

Logically Collective

### Input Arguments

| ksp | - linear solver context
| use | - PETSC_TRUE to use noisy

### Options Database

-ksp_chebyshev_esteig_noisy <true,false> - Notes: This alledgely works better for multigrid smoothers

### See Also

KSPChebyshevEstEigSet()

### Level

intermediate

### Location

src/ksp/ksp/impls/cheby/cheby.c

### Implementations

KSPChebyshevEstEigSetUseNoisy_Chebyshev in src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages